<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="net.educoder.ecsonar.dao.ProjectDao">


    <select id="findRuleById" parameterType="java.lang.Integer" resultType="net.educoder.ecsonar.model.Rule">
        select
            id,
            name,
            description,
            language,
            def_remediation_base_effort defRemediationBaseEffort,
            system_tags tags,
            created_at createTime
        from rules where id=#{id,jdbcType=INTEGER}
    </select>


</mapper>
